<?xml version="1.0" encoding="utf-8" ?>
<multiflexCspConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                     xsi:noNamespaceSchemaLocation="multiflexCspConfig.xsd">

    <!-- Only printers whose driver names appear in the list below will be
         returned in the devices.xml file (the result of /_$/enum/printers).
         Regular expressions are allowed. '\' and '?' characters in regular
         expressions need to be quoted (with a preceeding '\' character). -->

    <allowedPrinterList>

        <!-- Allow anything with Astro in the name -->
        <printerDriver>
            <name>.*L Series.*</name>
            <servicePoints>
                <servicePoint>
                    <id>www</id>
                    <homeUrl>/</homeUrl>
                    <port>80</port>
                </servicePoint>
            </servicePoints>
            <types>
                <type>printer</type>
            </types>
        </printerDriver>
    </allowedPrinterList>



    <!-- Additional service that should be enumerated with installed printers.
         CDATA can be used for service value if needed.  -->
    <additionalServices>

        <!--service>
            <name>Astro Machine Corp.</name>
            <servicePoints>
                <servicePoint>
                    <id>www</id>
                    <homeUrl>/</homeUrl>
                    <uri>http://www.astromachine.com</uri>
                    <port>80</port>
                </servicePoint>
            </servicePoints>
            <types>
                <type>web-server</type>
            </types>
        </service-->

    </additionalServices>

    <!-- The following is a list of file types (Content-Type) that should
         undergo string substitution prior to being returned from the 
         server to the client. -->
    <substFileTypes>
        <type>text/html</type>
        <type>text/xml</type>
        <type>text/css</type>
        <type>application/x-javascript</type>
        <type>text/plain</type>
    </substFileTypes>

    <!-- The following is a list of ID,VALUE pairs that are used for string
         substitution on some file types returned from the server.  These
         must have the object type of "IDm" in the comment tag. -->
    <macros>
        <macro id="TOOLBOX_JS_MACRO">
            <![CDATA[<script type="text/javascript" src="/_$/www/toolbox/js/client-tools-ex.js"></script>]]>
        </macro>
        <macro id="CSP_FALSE">
            TRUE
        </macro>
        <macro id="SOME_JS">
            <![CDATA[<script type="text/javascript" src="/_$/www/toolbox/js/client-tools-ex.js"></script>]]>
        </macro>
    </macros>

</multiflexCspConfig>
